<og:query command="{@command}" debug="{@debug}" maxRowCount="{@maxRowCount}">
	select	CLM,RENDERER,EDITOR,DBTYPE,USE_LENGTH,TABLE_NAME,NAME_JA,SEQNO,CLM_NAME,'' as DTYPE,CLS_NAME,
			PHY_LENGTH,UK,IXA,IXB,IXC,IXD,IXE,IXF,IXG,NOT_NULL,C_KEY,F_KEY,
			DATA_DEFAULT,KBCLM,BIKO,SYSTEM_ID,FGJ,UNIQ
	from GF80
	where SYSTEM_ID  = '{@SYSTEM_ID}'
	and   TBLSYU      = '3'
	and   TABLE_NAME like '{@TABLE_NAME}%'
	and   CLM        like '{@CLM}%'
	and   FGJ in ('0','1')
	and   (
			RENDERER not in ( 'MENU','DBMENU' )
		or	EDITOR   not in ( 'MENU','DBMENU' )
	)
	and   TO_NUMBER(REPLACE(USE_LENGTH,',','.'),'99') < 3
	and   (
			CLM like 'FG%'
		or  CLM like 'CD%'
		or  CLM like 'KB%'
	)
	order by SYSTEM_ID,CLM,TABLE_NAME
</og:query>

<og:hidden name="SQL" >
  <jsp:text>
	UPDATE GF80 SET
			TBLSYU 			= '3',
			NAME_JA 		= [NAME_JA],
			SEQNO			= [SEQNO],
			CLM_NAME		= [CLM_NAME],
			CLM 			= [CLM],
			CLS_NAME		= [CLS_NAME],
			PHY_LENGTH		= [PHY_LENGTH],
			USE_LENGTH		= [USE_LENGTH],
			UK				= [UK],
			IXA				= [IXA],
			IXB				= [IXB],
			IXC				= [IXC],
			IXD				= [IXD],
			IXE				= [IXE],
			IXF				= [IXF],
			IXG				= [IXG],
			NOT_NULL		= [NOT_NULL],
			C_KEY			= [C_KEY],
			F_KEY			= [F_KEY],
			RENDERER		= [RENDERER],
			EDITOR			= [EDITOR],
			DBTYPE			= [DBTYPE],
			DATA_DEFAULT	= [DATA_DEFAULT],
			KBCLM			= [KBCLM],
			BIKO			= [BIKO],
			COMMENTS		= [COMMENTS],
			SYSTEM_ID		= [SYSTEM_ID],
			CDKH			= 'C',
			FGJ				= '1',
			DYUPD			= '{@USER.YMDH}',
			USRUPD			= '{@USER.ID}',
			PGUPD			= '{@GUI.KEY}'
	WHERE UNIQ  = [UNIQ]
  </jsp:text>
</og:hidden>

<og:hidden name="noWritable">SYSTEM_ID,TABLE_NAME,DTYPE</og:hidden>
